# Beautiful media player for Phosh

Yep, it's written in Vala

## Galery
<table>
  <tr>
    <td align="center">
      <img src="assets/shot-1.png" width="300px" alt="Home Screen" /><br/>
    </td>
    <td align="center">
      <img src="assets/shot-4.png" width="300px" alt="Settings" /><br/>
    </td>
    <td align="center">
      <img src="assets/shot-6.png" width="300px" alt="Profile" /><br/>
    </td>
  </tr>
  <tr>
    <td align="center">
      <img src="assets/shot-2.png" width="300px" alt="Dashboard" /><br/>
    </td>
    <td align="center">
      <img src="assets/shot-3.png" width="300px" alt="Notifications" /><br/>
    </td>
    <td align="center">
      <img src="assets/shot-5.png" width="300px" alt="Help" /><br/>
    </td>
  </tr>
</table>

## Installing from my nightly repo
1) [Add my nightly repo](https://git.nekocwd.duckdns.org/Administration/Documentation/src/branch/master/install-nightly-repo.md)
2) Install plugin
  ```sh
  sudo apk add phosh-plugin-mediaplayer@nightly
  ```
3) Enable plugin for quick settings and/or for lockscreen

## Enabling plugin
You can enable it via gsettings
```sh
gsettings set sm.puri.phosh.plugins quick-settings "['media-player']"
gsettings set sm.puri.phosh.plugins lock-screen "['media-player']"
```
Or you can use `phosh-mobile-settings` app

## Building

We use the meson (and thereby Ninja) build system for phosh.  The
quickest way to get going is to do the following:

```sh
meson setup _build
meson install -C _build
```

## License

phosh-media-player are licensed under the GPL-3.0-or-later licence.
